package cn.com.ty.lift.business.annualinspection.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * <p>
 * 年检记录
 * </p>
 *
 * @author wcz
 * @since 2019-12-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class AnnualInspection implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId("id")
    private Long id;

    /**
     * 电梯ID
     */
    @TableField("lift_id")
    private Long liftId;

    /**
     * 公司ID
     */
    @TableField("mt_company_id")
    private Long mtCompanyId;

    /**
     * 计划年检时间
     */
    @TableField("plan_date")
    private LocalDate planDate;

    /**
     * 是否检查限速器（0 否；1 是；默认0）
     */
    @TableField("is_check_governer")
    private Integer isCheckGoverner;

    /**
     * 是否荷载年检设置（0 否；1 是；默认0）
     */
    @TableField("load_inspection_setting")
    private Integer loadInspectionSetting;

    /**
     * 完成时间
     */
    @TableField("finish_time")
    private LocalDateTime finishTime;

    /**
     * 合格证图片路径
     */
    @TableField("certificate_img_url")
    private String certificateImgUrl;

    /**
     * 政府质检人员
     */
    @TableField("inspector")
    private String inspector;

    /**
     * 联系电话
     */
    @TableField("telephone")
    private String telephone;

    /**
     * 公司年检人员
     */
    @TableField("operator")
    private String operator;

    /**
     * 创建ID
     */
    @TableField("creator_id")
    private Long creatorId;

    /**
     * 创建时间
     */
    @TableField("create_date")
    private LocalDateTime createDate;

    /**
     * 状态（0 待完成；1 已完成；2 超期）
     */
    @TableField("status")
    private Integer status;

    /**
     * 下次年检日期
     */
    @TableField("next_inspection_time")
    private LocalDate nextInspectionTime;

    /**
     * 自检报告路径
     */
    @TableField("selfcheck_report_img")
    private String selfcheckReportImg;

    /**
     * 自检时间
     */
    @TableField("selfcheck_date")
    private LocalDate selfcheckDate;

    /**
     * 检验结果图片路径
     */
    @TableField("check_result_img")
    private String checkResultImg;
    /**
     * 现场检验时间
     */
    @TableField("check_date")
    private LocalDate checkDate;
    /**
     * 年检报告图片路径
     */
    @TableField("annual_inspection_img")
    private String annualInspectionImg;

    /**
     * stepStatus  :年检阶段状态
     * 未开始0,第一阶段 1-2,第二阶段 3,第三阶段 4-7,第四阶段 8-10
     *
     1  维保工确认年检计划
     2  维保工上传自检报告,选择自检时间 或者 文员设置 是否检查限速器和荷载年检设置，
     文员也可以上传自检报告或者确认自检报告和自检时间，自检时间以最后设置的为准
     --------------------------------
     3  企业文员确认现场检验时间
     录入人员信息，政府质检，企业质检，联系电话
     --------------------------------
     4	维保工上传检验结果
     5	企业文员确认检验结果-合格
     6	企业文员确认检验结果-整改
     7	企业文员确认检验结果-不合格
     --------------------------------
     8	维保工上传年检报告和合格证
     9	企业文员确认年检报告和合格证-合格
     10	企业文员确认年检报告和合格证-不合格
     */
    @TableField("step_status")
    private Integer stepStatus;

    /**
     * 年检阶段名称
     * 0 未开始; 1 第一阶段 1-2;2 第二阶段 3;3 第三阶段 4-7;4 第四阶段 8-10
     */
    @TableField("step_name")
    private Integer stepName;

}
