package cn.com.ty.lift.business.project.service;

import cn.com.ty.lift.business.project.dao.entity.ProjectUser;
import cn.com.ty.lift.business.project.dao.entity.model.request.ProjectDetailRequest;
import cn.com.ty.lift.business.project.dao.mapper.ProjectUserMapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author bieao
 * @date 2019/12/31
 * @description 项目组成员业务层
 */
@Service
public class ProjectUserService extends ServiceImpl<ProjectUserMapper, ProjectUser> {

    @Resource
    private ProjectUserMapper projectUserMapper;

    /**
     * @param request projectId 项目ID
     * @return List<ProjectUser> userList项目组成员列表
     * @description 查询项目组成员
     * @date 2019/12/13 2:40 PM
     */
    public List<ProjectUser> userList(ProjectDetailRequest request) {
        return projectUserMapper.findUserListById(request.getId());
    }

    /**
     * @param projectUser 新增维保工数据项
     * @return Integer 成功1或失败0
     * @description 新增维保工
     * @date 2019/12/4 4:41 PM
     */
    public Integer add(ProjectUser projectUser) {
        return projectUserMapper.insert(projectUser);
    }
}
