package cn.com.ty.lift.enterprise.oa.service;

import cn.com.ty.lift.enterprise.oa.dto.LiftCertificateRequest;
import cn.com.ty.lift.enterprise.oa.dto.LiftCertificateResponse;
import cn.com.ty.lift.enterprise.oa.entity.LiftCertificate;
import cn.com.ty.lift.enterprise.oa.mapper.LiftCertificateMapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
/**
 * <p>
 * 操作证 服务类
 * </p>
 *
 * @author wcz
 * @since 2019-12-04
 */
@Service("liftCertificateService")
public class LiftCertificateService extends ServiceImpl<LiftCertificateMapper,LiftCertificate>{

    public IPage<LiftCertificateResponse> pageByCondition(LiftCertificateRequest request){
        long pageNum = request.getPageNum();
        long pageSize = request.getPageSize();
		IPage<LiftCertificateResponse> page = new Page<>(pageNum,pageSize);
        return baseMapper.pageByCondition(page,request);
    }

    public long countByCondition(LiftCertificateRequest request){
        return baseMapper.countByCondition(request);
    }

    public int countByUserAndMtCompany(Long userId,Long mtCompanyId){
        QueryWrapper<LiftCertificate> queryWrapper = new QueryWrapper<>();
        LambdaQueryWrapper<LiftCertificate> lambdaQueryWrapper = queryWrapper.lambda();
        lambdaQueryWrapper.eq(LiftCertificate::getOwnerId,userId);
        lambdaQueryWrapper.eq(LiftCertificate::getMtCompanyId, mtCompanyId);
        return count(lambdaQueryWrapper);
    }
}